<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
 
 // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 // echo "CEDULA DEL USUARIO: ".$cedula_usuario.'<br>';

  mysql_select_db("pregrado_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$conn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="vista_generar_horario.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="10" && $tipo_usuario!="9" && $tipo_usuario!="19") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="vista_generar_horario.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $conn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
  }  

 
 error_reporting(E_ALL);
// error_reporting(E_ERROR);
   define('__ROOT__', dirname(dirname(__FILE__))); 
 // require_once(__ROOT__.'\siga_postgrado\html\ClsGeneradorHtml.class.php'); 
 // require_once(__ROOT__.'\siga_postgrado\ClsHorario.class.php'); 
 // require_once(__ROOT__.'\siga_postgrado\Connections\dbms.class.php');
 // require_once(__ROOT__.'\siga_postgrado\Connections\dbmy.class.php');
 // require_once(__ROOT__.'\siga_postgrado\clsObjetodeDatos.class.php');

  require_once('html/ClsGeneradorHtml.class.php'); 
  require_once('ClsHorario.class.php'); 
  require_once('Connections/dbms.class.php');
  require_once('Connections/dbmy.class.php');
  require_once('clsObjetodeDatos.class.php');


  
// print_r($_GET);
   
	$bd =new dbms('mysql','no'); 
	$var_post=$_POST;
        $var_get=$_GET;
    $ClsHorario=new ClsHorario($bd,$var_post,$var_get);
	$clsObjetodeDatos = new clsObjetodeDatos($bd,$var_post,$var_get);
    
    $ClsGeneradorHtml=new ClsGeneradorHtml("","");
 	extract ($_POST);
	extract($_GET);
	function Operaciones($ClsHorario,$boton,$ClsGeneradorHtml){
			if ($boton=="cmdGestionar"){
				if($ClsHorario->Validar($ClsGeneradorHtml)){
					$ClsHorario->Ingresar($ClsGeneradorHtml);
				}			
			}elseif($boton=="Eliminar"){
				$ClsHorario->Eliminar($ClsGeneradorHtml);
			}
	} 
	function formulario($ClsGeneradorHtml,$ClsHorario,$clsObjetodeDatos,$var_post,$var_get){
		extract ($var_post);
		extract ($var_get);

		$script="<link rel='stylesheet' href='css/estilos1.css' type='text/css'>";
		$script.="<script src='jquery.min.js' type='text/javascript'></script>";
		$script.="<script src='js/gestion_horario_controller.js' type='text/javascript'></script>";
		$forma= $ClsGeneradorHtml->Pagina_Top("Gestiona Horarios","",$script);
		echo $forma;
		echo $ClsGeneradorHtml->Pagina_Inicio_Body();
		echo $ClsGeneradorHtml->htmlTable("","","","100%","center","","bd");
		echo $ClsGeneradorHtml->htmlTd("","","","","hr");
		echo $ClsGeneradorHtml->htmlH("2","left");
		echo "Gestión de Horarios";
		echo $ClsGeneradorHtml->htmlFinH("2");
		echo $ClsGeneradorHtml->htmlFinTd();
		echo $ClsGeneradorHtml->htmlFinTable();
		echo $ClsGeneradorHtml->htmlTable("5","0","0","100%","center","","","border:1px solid #ccc;");
		echo $ClsGeneradorHtml->htmlInicioFormulario("POST","frmHorarios");
	
		if(empty($formulario)){
			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Per&iacute;odo:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectPeriodo()),"cmbPeriodo","codigo","descripcion",$cmbPeriodo,500,"",false,"cmbPeriodo","width: 210px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();

			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Sede:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectSede()),"cmbSede","codigo","descripcion",$cmbSede,500,"",false,"cmbSede","width: 210px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();
			
			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Programa:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectCarrera()),"cmbPrograma","codigo","descripcion",$cmbPrograma,500,"",false,"cmbPrograma","width: 210px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();

			/*echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Semestre:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectSemetres()),"cmbSemestre","codigo","descripcion",$cmbSemestre,500,"",false,"cmbSemestre","width: 210px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();*/


			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Pensum:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectPensum()),"cmbPensum","codigo","descripcion",$cmbPensum,500,"",false,"cmbPensum","width: 210px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();

			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Nivel:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectNiveles()),"cmbNivel","codigo","descripcion",$cmbNivel,500,"",false,"cmbNivel","width: 210px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();

			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Turno:').$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectTurnos()),"cmbTurnos","codigo","descripcion",$cmbTurnos,500,"",false,"cmbTurnos","width: 210px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();


			echo $ClsGeneradorHtml->htmlTr();
			echo $ClsGeneradorHtml->htmlTd("2%").$ClsGeneradorHtml->htmlEtiqueta('Secci&oacute;n:').$ClsGeneradorHtml->htmlFinTd();
			//echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect($clsObjetodeDatos->GetObjetoDatos($clsObjetodeDatos->GetSelectSeccion()),"cmbSeccion","codigo","descripcion",$cmbSeccion,500,"",false,"cmbSeccion","width: 210px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("1%").$ClsGeneradorHtml->htmlSelect("","cmbSeccion","codigo","descripcion",$cmbSeccion,500,"",false,"cmbSeccion","width: 210px;").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlTd("25%","left").$ClsGeneradorHtml->htmlBoton("Gestionar", "cmdGestionar").$ClsGeneradorHtml->htmlFinTd();
			echo $ClsGeneradorHtml->htmlFinTr();
			
			
		}else{
			echo $ClsHorario->obtener_seccion($ClsGeneradorHtml,$cmbSeccion);
                        echo $ClsGeneradorHtml->htmlTd("2%")."<a href=secciones.php?a=reset&carrera=".$id_carrera."&sede=".$sede."&periodo=".$id_periodo."&id_seccion=".$id_seccion."&semestre=".$semestre."&turno=".$turno."&nivel=".$nivel."&pensum=".$pensum ."&mencion=".$mencion."&page=".$page.">Regresar a Secciones</a>".$ClsGeneradorHtml->htmlFinTd();
			echo $ClsHorario->Mostrar_Horario($cmbSeccion,$ClsGeneradorHtml,$clsObjetodeDatos);
		}
		echo $ClsGeneradorHtml->htmlFinTable();
		echo $ClsGeneradorHtml->htmlDiv("DivHorarios","","","DivHorarios");
		echo $ClsGeneradorHtml->htmlFinDiv();
		echo $ClsGeneradorHtml->htmlHidden("formulario",$formulario);
		echo $ClsGeneradorHtml->htmlHidden("hdSeccion",$cmbSeccion);
		echo $ClsGeneradorHtml->htmlFinFormulario();
		echo $ClsGeneradorHtml->Pagina_Fin_Body();
		echo $ClsGeneradorHtml->Pagina_Fin_Html();
		
	}

	if (($boton=="cmdGestionar")){
		echo formulario($ClsGeneradorHtml,$ClsHorario,$clsObjetodeDatos,$var_post,$var_get);
	}elseif ($boton=="cmdConsultar"){
	    echo $ClsHorario->Consultar($var_post);			
		//echo formulario($ClsGeneradorHtml,$ClsHorario,$clsObjetodeDatos);
	}elseif ($boton=="btnAgregarMateria"){
		$ClsHorario->Ingresar($ClsGeneradorHtml);
	}elseif ($boton=="btnEliminarHorario"){
		echo $ClsHorario->Eliminar($ClsGeneradorHtml,$clsObjetodeDatos);
	}elseif ($boton=="btnRegresar"){
		echo $ClsHorario->Regresar($ClsGeneradorHtml,$clsObjetodeDatos);
		//$ClsHorario->Ingresar($ClsGeneradorHtml);
		//	echo "Aqui";
	}else{
		echo formulario($ClsGeneradorHtml,$ClsHorario,$clsObjetodeDatos);
	}
	
 

?> 

<?php
function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }
  
?>
